%global unique_name eu.tiliado.WebRuntime

Name:           nuvola-app-bbc-iplayer
Version:        1.4
Release:        2%{?dist}
Summary:        BBC iPlayer plugin for Nuvola Player
# The entire source code is BSD except src/icon*.svg which is CC-BY 
License:        BSD and CC-BY
URL:            https://github.com/tiliado/nuvola-app-bbc-iplayer
Source0:        https://github.com/tiliado/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.10.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch


%description
Integration of BBC iPlayer into your linux desktop via Nuvola Player.

This is a beta release: support for HTML5 Media Source Extensions (MSE) is new
to WebKitGtk and may be still incomplete. Most BBC content works, most of the
time, but not all. In those cases you can still use the Flash player, but Nuvola
will be unable to detect or control playing state.

%prep
%setup -q


%build
%configure
%make_build


%install
%make_install

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%files
%doc CHANGELOG.md README.md
%license LICENSE-BSD.txt LICENSE-CC-BY.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{unique_name}AppBbcIplayer.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppBbcIplayer.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/bbc_iplayer/
%{_datadir}/dbus-1/services/%{unique_name}AppBbcIplayer.service

%changelog
* Wed Mar 21 2018 Martin Gansser <martinkg@fedoraproject.org> - 1.4-2
- nuvolasdk >= 4.10.0 is required

* Wed Mar 21 2018 Martin Gansser <martinkg@fedoraproject.org> - 1.4-1
- Update to 1.4

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2-2
- Remove obsolete scriptlets

* Sat Sep 30 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.2-1
- Update to 1.2

* Tue Aug 22 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.1-1
- initial build
